# storyshare-sui-react-components

## Installation

```bash
nvm use
yarn install
```

## Options

* `blockContent.formats` - mapping from a format `type` (e.g. `a`, `strong`) to
  a custom component that will render that format.
  Format components should take at least `children` and `RichText` props, and
  should render `<RichText content={ children } />` somewhere.

## NPM scripts

* **`build`** - runs all build subtasks below
* **`build:commonjs`** - builds CommonJS modules for distribution
* **`build:es`** - builds ES6 modules for distribution
* **`clean`** - cleans up all built resources
* **`clean:coverage`** - cleans up coverage reports
* **`clean:dist`** - cleans up compiled files for distribution
* **`clean:docs`** - cleans up built documentation
* **`docs`** - builds API documentation
* **`lint`** - lints all sources
* **`test`** - executes tests (add `--watch` to watch for changes)
